Package fr.gouv.vitam.common.model.unit

# Class PersistentIdentifierModel

java.lang.Object
fr.gouv.vitam.common.model.unit.PersistentIdentifierModel

public class PersistentIdentifierModel extends Object
Model for PersistentIdentifier defined in seda.xsd

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersistentIdentifierModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPersistentIdentifierContent()`
  `String`
  `getPersistentIdentifierOrigin()`
  `String`
  `getPersistentIdentifierReference()`
  `String`
  `getPersistentIdentifierType()`
  `void`
  `setPersistentIdentifierContent(String persistentIdentifierContent)`
  `void`
  `setPersistentIdentifierOrigin(String persistentIdentifierOrigin)`
  `void`
  `setPersistentIdentifierReference(String persistentIdentifierReference)`
  `void`
  `setPersistentIdentifierType(String persistentIdentifierType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersistentIdentifierModel

    public PersistentIdentifierModel()

- ## Method Details

  - ### getPersistentIdentifierType

    public String getPersistentIdentifierType()

  - ### setPersistentIdentifierType

    public void setPersistentIdentifierType(String persistentIdentifierType)

  - ### getPersistentIdentifierOrigin

    public String getPersistentIdentifierOrigin()

  - ### setPersistentIdentifierOrigin

    public void setPersistentIdentifierOrigin(String persistentIdentifierOrigin)

  - ### getPersistentIdentifierReference

    public String getPersistentIdentifierReference()

  - ### setPersistentIdentifierReference

    public void setPersistentIdentifierReference(String persistentIdentifierReference)

  - ### getPersistentIdentifierContent

    public String getPersistentIdentifierContent()

  - ### setPersistentIdentifierContent

    public void setPersistentIdentifierContent(String persistentIdentifierContent)